<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(5);
$doc -> title = 'Системные службы';

if (isset($_POST['save']))
{
// журнал посещений
$dcms->log_of_visits=(int)!empty($_POST['log_of_visits']);

// журнал рефереров
$dcms->log_of_referers=(int)!empty($_POST['log_of_referers']);

// удаленный Бэкап на dcms.su
$dcms->backup_remote=(int)!empty($_POST['backup_remote']);

// Чистка временной папки
$dcms->clear_tmp_dir=(int)!empty($_POST['clear_tmp_dir']);


if ($dcms->save_settings())$doc->msg('Настройки успешно сохранены');
else $doc->err('Нет прав на запись в файл настроек');
}


$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen());
$elements=array();

$elements[]=array('type'=>'checkbox', 'br'=>1,'info'=>array('value'=>1,'checked'=>$dcms->log_of_visits, 'name'=>'log_of_visits', 'text'=>'Журнал посещений'));
$elements[]=array('type'=>'checkbox', 'br'=>1,'info'=>array('value'=>1,'checked'=>$dcms->log_of_referers, 'name'=>'log_of_referers', 'text'=>'Журнал рефереров'));
$elements[]=array('type'=>'checkbox', 'br'=>1,'info'=>array('value'=>1,'checked'=>$dcms->backup_remote, 'name'=>'backup_remote', 'text'=>'Удаленный BackUP'));
$elements[]=array('type'=>'checkbox', 'br'=>1,'info'=>array('value'=>1,'checked'=>$dcms->clear_tmp_dir, 'name'=>'clear_tmp_dir', 'text'=>'Чистка временной папки'));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Применить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');

$doc->ret('Админка','/dpanel/');
?>
